dpkg-reconfigure doesn't reconfigure more than one named package

Bug #1076322 reported by Rupert Millard on 2012-11-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debconf (Ubuntu)
High
Colin Watson

Bug Description

If I run "sudo dpkg-reconfigure pkg1 pkg2 ... pkgn", I would expect it to reconfigure these packages.

Instead, on my system, it is reconfiguring pkg1 n times.

For example:
"$ sudo dpkg-reconfigure tzdata keyboard-configuration

Current default time zone: 'Europe/London'
Local time is now: Thu Nov 8 11:13:04 GMT 2012.
Universal Time is now: Thu Nov 8 11:13:04 UTC 2012.

Current default time zone: 'Europe/London'
Local time is now: Thu Nov 8 11:13:06 GMT 2012.
Universal Time is now: Thu Nov 8 11:13:06 UTC 2012."

Good luck & thanks.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: debconf 1.5.46ubuntu1
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic x86_64
ApportVersion: 2.6.1-0ubuntu6
Architecture: amd64
Date: Thu Nov 8 11:09:00 2012
InstallationDate: Installed on 2011-03-12 (606 days ago)
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
MarkForUpload: True
PackageArchitecture: all
SourcePackage: debconf
UpgradeStatus: Upgraded to quantal on 2012-10-19 (19 days ago)

Related branches

Colin Watson (cjwatson) wrote :

Whoops! My fault - fixing, thanks.

Changed in debconf (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
importance: Undecided → High
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debconf - 1.5.48ubuntu1

---------------
debconf (1.5.48ubuntu1) raring; urgency=low

  * Resynchronise with Debian (LP: #1060249). Remaining changes:
    - Gnome.pm: Do not show "Cancel" or "Close" buttons, to avoid breaking
      maintainer scripts.

debconf (1.5.48) unstable; urgency=low

  * dpkg-reconfigure: Fix incorrect scoping of control_path that broke
    handling of multiple packages (closes: #690755, LP: #1076322).

debconf (1.5.47) unstable; urgency=low

  [ Manpages translations ]
  * German updated.

  [ Joey Hess ]
  * GTK frontend: Do additional probing in child process to catch cases
    where trying to use GTK will cause an otherwise uncatchable crash.
    Closes: #690776 Thanks, James Hunt
  * debconf-devel.7: Mention that CAPB capabilities are separated with spaces.
    Closes: #694626

  [ Colin Watson ]
  * dpkg-reconfigure: Fix trigger processing to cope properly if some of the
    triggered packages use debconf (closes: #686071).
 -- Colin Watson <email address hidden> Tue, 11 Dec 2012 09:59:45 +0000

Changed in debconf (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers